package com.sd.business.entity.purchase.enums;

import com.baomidou.mybatisplus.core.toolkit.StringPool;
import com.fjhx.flow.enums.FlowStatusEnum;
import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.commons.collections4.MapUtils;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum PurchaseEnums {
    DRAUGHT(1, "草稿"),
    NOT_INITIATED(2, "未发起"),
    IN_PROGRESS(3, "进行中"),
    PASSED(4, "已通过"),
    REJECTED(5, "已驳回"),
            ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, PurchaseEnums> map = new HashMap<>();

    static {
        for (PurchaseEnums value : PurchaseEnums.values()) {
            map.put(value.getKey(), value);
        }
    }



}
