package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.PurchaseBom;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购合同bom列表查询返回值实体
 *
 * @author
 * @since 2023-08-07
 */
@Getter
@Setter
public class PurchaseBomVo extends PurchaseBom {
    /**
     * 含税小计
     */
    private BigDecimal sumPriceAmount;

    /**
     * 不含税小计
     */
    private BigDecimal taxSumPriceAmount;

    /**
     * bom规格编码
     */
    private String specCode;

    /**
     * bom规格名称
     */
    private String specName;

    /**
     * bom规格颜色
     */
    private String colour;

    /**
     * bom规格长
     */
    private BigDecimal length;

    /**
     * bom规格宽
     */
    private BigDecimal width;

    /**
     * bom规格高
     */
    private BigDecimal height;
}
